Board index FlightGear Support Compiling

Superbuild on Win7/64 packages fail to build in 2010Express  Topic is solved

Building FlightGear from source, and in the need for help?

Re: Superbuild on Win7/64 packages fail to build in 2010Expr

Postby rreiter » Tue Mar 11, 2014 12:22 am

I earlier made some notes on the Superbuild ("Discussion") page about the possible need for SVN and building it in Release first, which I didn't want to actually add into the wiki instructions until verified. But now that I see "it's not just me", I'll amend instructions as soon as I get a moment unless I see objections.
rreiter
 
Posts: 35
Joined: Thu Jan 16, 2014 4:33 am
Location: Newmarket, Ontario Canada
OS: Windows

Re: Superbuild on Win7/64 packages fail to build in 2010Expr

Postby Hooray » Tue Mar 11, 2014 12:35 am

IIRC, libsvn was originally used for terrasync - these days, it's probably mainly a requirement to check out certain subversion repositories
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 11273
Joined: Tue Mar 25, 2008 8:40 am

Re: Superbuild on Win7/64 packages fail to build in 2010Expr

Postby rreiter » Sat Mar 15, 2014 11:00 pm

wlbragg wrote in Sun Mar 09, 2014 7:36 pm:Appears to be working as it has passed the first error and is downloading the WinDeps in the Build stage.

Note to whoever is keeping the Superbuild Wiki.

On my standard install of Visual C++ 2010 Express I had to install http://www.microsoft.com/en-us/download/confirmation.aspx?id=23691 to get past an early on error. It had to do with build breaking due to an environmental variable issue.

And yes the Apache Subversion program is allowing me to proceed. The set SVN EXCUTABLE is not in the wiki and to a dummy like me is quite confusing if not spelled out as we use git for FG but need subversion for some dependencies. Anyway hope this helps someone else. I am waiting breathlessly for my first build of FlightGear to compile. :shock:

1) I amended the SuperBuild for Windows wiki section to mention SVN and about building Release mode first.

2) Regarding the need for MSVS2010 SP1 (link above). Not sure what problem it solved for [wlbragg]. I have Win8.1 and haven't installed it yet (not even sure it applies).
However (and this is interesting): the docs for SP1 state that it corrects a memory leak ("inserting in a std::vector of std::string causes memory leak", bug 564917). Could a lack of SP1 be part of what's been causing people (in addition to myself) some memory grief?
more info:
Maybe I'll give it a try and see if it works.
Edit: I've applied and used MSVS2010 SP1 without issue and so now also amended the SuperBuild wiki to include it as a recommended option under requirements. Hopefully that will also save newcomers some frustration.
rreiter
 
Posts: 35
Joined: Thu Jan 16, 2014 4:33 am
Location: Newmarket, Ontario Canada
OS: Windows

Previous

Return to Compiling

Who is online

Users browsing this forum: No registered users and 2 guests